[android-components](../../index.md) / [mozilla.components.feature.webnotifications](../index.md) / [WebNotificationFeature](index.md) / [onCloseNotification](./on-close-notification.md)

# onCloseNotification

`fun onCloseNotification(webNotification: `[`WebNotification`](../../mozilla.components.concept.engine.webnotifications/-web-notification/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/webnotifications/src/main/java/mozilla/components/feature/webnotifications/WebNotificationFeature.kt#L92)

Overrides [WebNotificationDelegate.onCloseNotification](../../mozilla.components.concept.engine.webnotifications/-web-notification-delegate/on-close-notification.md)

Invoked when a web notification is to be closed.

### Parameters

`webNotification` - The web notification intended to be closed.